<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="vm"
            type="com.example.iot_controlhost.ui.activity.InfoActivityPresenter" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/btn_back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:onClick="@{()->vm.notice(5)}"
                android:padding="30dp"
                android:src="@mipmap/cancel"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="10dp"
                android:layout_height="40dp"
                android:layout_marginTop="30dp"
                android:background="#00A1FF"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="start"
                android:layout_margin="30dp"
                android:text="@string/device_info"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="80dp"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="3"
                android:orientation="vertical">

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="30dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginEnd="5dp"
                    app:cardCornerRadius="10dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="30">

                                <androidx.cardview.widget.CardView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_margin="10dp"
                                    app:cardCornerRadius="10dp">

                                    <TextView
                                        android:id="@+id/tv_head"
                                        android:layout_width="wrap_content"
                                        android:layout_height="match_parent"
                                        android:background="@drawable/bg_main_user_info"
                                        android:gravity="center"
                                        android:paddingHorizontal="30dp"
                                        android:paddingVertical="7dp"
                                        android:text="@string/indoor"
                                        android:textColor="#00A1FF"
                                        android:textSize="22sp" />

                                </androidx.cardview.widget.CardView>
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_margin="10dp"
                                android:layout_weight="70"
                                android:orientation="horizontal">

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/age"
                                        android:textSize="22sp"
                                        android:textStyle="bold" />

                                    <TextView
                                        android:id="@+id/tv_age"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginStart="10dp"
                                        android:text="@string/none"
                                        android:textSize="22sp" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/day"
                                        android:textSize="22sp" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/variety"
                                        android:textSize="22sp"
                                        android:textStyle="bold" />

                                    <TextView
                                        android:id="@+id/tv_variety"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginStart="10dp"
                                        android:text="@string/none"
                                        android:textSize="22sp" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/season"
                                        android:textSize="22sp"
                                        android:textStyle="bold" />

                                    <TextView
                                        android:id="@+id/tv_season"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginStart="10dp"
                                        android:text="@string/none"
                                        android:textSize="22sp" />
                                </LinearLayout>
                            </LinearLayout>

                        </LinearLayout>

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="2dp"
                            android:background="#DCE3E3" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="30">

                                <androidx.cardview.widget.CardView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_margin="10dp"
                                    app:cardCornerRadius="10dp">

                                    <TextView
                                        android:id="@+id/tv_energy"
                                        android:layout_width="wrap_content"
                                        android:layout_height="match_parent"
                                        android:background="@drawable/bg_main_user_info"
                                        android:gravity="center"
                                        android:paddingHorizontal="30dp"
                                        android:paddingVertical="7dp"
                                        android:text="能耗"
                                        android:textColor="#00A1FF"
                                        android:textSize="22sp" />

                                </androidx.cardview.widget.CardView>
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_margin="10dp"
                                android:layout_weight="70"
                                android:orientation="horizontal">

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="今日"
                                        android:textSize="22sp"
                                        android:textStyle="bold" />

                                    <TextView
                                        android:id="@+id/tv_con_today"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginStart="10dp"
                                        android:text="@{String.valueOf(vm.todayConsumption)}"
                                        android:textSize="22sp" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/con_symbol"
                                        android:textSize="22sp" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="本季"
                                        android:textSize="22sp"
                                        android:textStyle="bold" />

                                    <TextView
                                        android:id="@+id/tv_con_season"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginStart="10dp"
                                        android:text="@{String.valueOf(vm.seasonConsumption)}"
                                        android:textSize="22sp" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/con_symbol"
                                        android:textSize="22sp" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/total"
                                        android:textSize="22sp"
                                        android:textStyle="bold" />

                                    <TextView
                                        android:id="@+id/tv_con_all"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginStart="10dp"
                                        android:text="@{String.valueOf(vm.allConsumption)}"
                                        android:textSize="22sp" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/con_symbol"
                                        android:textSize="22sp" />
                                </LinearLayout>
                            </LinearLayout>

                        </LinearLayout>

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="2dp"
                            android:background="#DCE3E3" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="30">

                                <androidx.cardview.widget.CardView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_margin="10dp"
                                    app:cardCornerRadius="10dp">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="match_parent"
                                        android:background="@drawable/bg_main_user_info"
                                        android:gravity="center"
                                        android:paddingHorizontal="30dp"
                                        android:paddingVertical="7dp"
                                        android:text="@string/indoor"
                                        android:textColor="#00A1FF"
                                        android:textSize="22sp" />

                                </androidx.cardview.widget.CardView>
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_margin="10dp"
                                android:layout_weight="70"
                                android:orientation="horizontal">

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/temperature"
                                        android:textSize="22sp"
                                        android:textStyle="bold" />

                                    <TextView
                                        android:id="@+id/tv_indoor_temperature"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginStart="10dp"
                                        android:text="@{String.valueOf(vm.indoorTemperature)}"
                                        android:textSize="22sp" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/T_symbol"
                                        android:textSize="22sp" />

                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/humidity"
                                        android:textSize="22sp"
                                        android:textStyle="bold" />

                                    <TextView
                                        android:id="@+id/tv_indoor_humidity"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginStart="10dp"
                                        android:text="@{String.valueOf(vm.indoorHumidity)}"
                                        android:textSize="22sp" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/H_symbol"
                                        android:textSize="22sp" />

                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/quality_air"
                                        android:textSize="22sp"
                                        android:textStyle="bold" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginStart="10dp"
                                        android:text="@{String.valueOf(vm.qualityAir)}"
                                        android:textSize="22sp" />

                                </LinearLayout>
                            </LinearLayout>

                        </LinearLayout>

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="2dp"
                            android:background="#DCE3E3" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="30">

                                <androidx.cardview.widget.CardView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_margin="10dp"
                                    app:cardCornerRadius="10dp">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="match_parent"
                                        android:background="@drawable/bg_main_user_info"
                                        android:gravity="center"
                                        android:paddingHorizontal="30dp"
                                        android:paddingVertical="7dp"
                                        android:text="@string/outdoor"
                                        android:textColor="#00A1FF"
                                        android:textSize="22sp" />

                                </androidx.cardview.widget.CardView>
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_margin="10dp"
                                android:layout_weight="70"
                                android:orientation="horizontal">

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/temperature"
                                        android:textSize="22sp"
                                        android:textStyle="bold" />

                                    <TextView
                                        android:id="@+id/tv_outdoor_temperature"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginStart="10dp"
                                        android:text="@{String.valueOf(vm.outdoorTemperature)}"
                                        android:textSize="22sp" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginEnd="10dp"
                                        android:text="@string/T_symbol"
                                        android:textSize="22sp" />

                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/humidity"
                                        android:textSize="22sp"
                                        android:textStyle="bold" />

                                    <TextView
                                        android:id="@+id/tv_outdoor_humidity"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginStart="10dp"
                                        android:text="@{String.valueOf(vm.outdoorHumidity)}"
                                        android:textSize="22sp" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/H_symbol"
                                        android:textSize="22sp" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/quality_air"
                                        android:textSize="22sp"
                                        android:textStyle="bold" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginStart="10dp"
                                        android:text="@{String.valueOf(vm.qualityAirOut)}"
                                        android:textSize="22sp" />

                                </LinearLayout>
                            </LinearLayout>

                        </LinearLayout>

                    </LinearLayout>

                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_marginVertical="30dp"
                    android:layout_marginStart="30dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginEnd="5dp"
                    android:layout_weight="1"
                    app:cardCornerRadius="10dp">

                    <ScrollView
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/recycle_view"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            tools:itemCount="10"
                            tools:listitem="@layout/item_sensor_info" />
                    </ScrollView>

                </androidx.cardview.widget.CardView>

            </LinearLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <androidx.cardview.widget.CardView
                    android:layout_width="180dp"
                    android:layout_height="180dp"
                    android:layout_margin="20dp"
                    android:layout_marginTop="10dp"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="10dp">

                    <ImageView
                        android:id="@+id/iv_qrcode"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:src="@mipmap/logo_blue" />
                </androidx.cardview.widget.CardView>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:paddingHorizontal="20dp">

                    <LinearLayout
                        android:id="@+id/imei"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        app:justifyContent="space_between">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_weight="1"
                            android:layout_height="wrap_content"
                            android:text="软件版本号："
                            android:textSize="16sp" />

                        <TextView
                            android:id="@+id/tv_version"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/none"
                            android:textSize="16sp" />

                    </LinearLayout>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginVertical="20dp"
                        android:onClick="@{()->vm.notice(4)}"
                        android:text="@string/check_update"
                        android:textSize="18sp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:maxLines="1"
                            android:onClick="@{()->vm.notice(2)}"
                            android:text="@string/device_id"
                            android:textSize="16sp" />

                        <TextView
                            android:id="@+id/tv_device_id"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:maxLines="1"
                            android:onClick="@{()->vm.notice(2)}"
                            android:text="@string/none"
                            android:textSize="16sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="20dp"
                            android:maxLines="1"
                            android:text="@string/sim"
                            android:textSize="16sp" />

                        <TextView
                            android:id="@+id/tv_sim"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:maxLines="1"
                            android:text="@string/none"
                            android:textSize="16sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="20dp"
                            android:maxLines="1"
                            android:text="服务到期时间"
                            android:textSize="16sp" />

                        <TextView
                            android:id="@+id/tv_server_expiration_date"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:maxLines="1"
                            android:text="@string/none"
                            android:textSize="16sp" />

                    </LinearLayout>
                </LinearLayout>

                <!--                <Button-->
                <!--                    android:id="@+id/btn_cultivate"-->
                <!--                    style="@style/Widget.Material3.Button.OutlinedButton"-->
                <!--                    android:layout_width="match_parent"-->
                <!--                    android:layout_height="0dp"-->
                <!--                    android:layout_marginHorizontal="10dp"-->
                <!--                    android:layout_marginTop="20dp"-->
                <!--                    android:layout_weight="1"-->
                <!--                    android:onClick="@{()->vm.notice(3)}"-->
                <!--                    android:text="@string/cultivate_start" />-->

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_renew"
                    android:layout_width="180dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_margin="5dp"
                    app:cardCornerRadius="10dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginVertical="10dp"
                        android:text="点击续费"
                        android:textSize="24sp" />

                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="180dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="30dp"
                    android:onClick="@{()->vm.notice(1)}"
                    app:cardCornerRadius="10dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginVertical="10dp"
                        android:text="@string/reboot"
                        android:textSize="24sp" />

                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_margin="15dp"
                    android:onClick="@{()->vm.notice(0)}"
                    app:cardCornerRadius="10dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:background="#00A1FF"
                        android:paddingHorizontal="40dp"
                        android:paddingVertical="10dp"
                        android:text="@string/shutdown"
                        android:textColor="#FFFFFF"
                        android:textSize="24sp" />

                </androidx.cardview.widget.CardView>
            </LinearLayout>
        </LinearLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
